///////
// TEST:
//

#include "incls_all.hpp"

namespace rw::pingpong {

//------------------------------------------------------------------------------
Peng_b::Peng_b() : Peng_b{"peng_b_obj"} {}

//------------------------------------------------------------------------------
Peng_b::Peng_b(std::string const& name_tag)
    : RW{name_tag}, tip_tag{full_tag()} {}

//------------------------------------------------------------------------------
auto Peng_b::t_tag() const -> Tip const& {
  return tip_tag;
}

//------------------------------------------------------------------------------
Peng::Peng() : Peng{"peng_obj"} {}

//------------------------------------------------------------------------------
Peng::Peng(std::string const& name_tag) : Peng_b{name_tag} {}

// TEST:
//------------------------------------------------------------------------------
void Peng::ask(const std::string& query) const {
  ping.ask(query);
}

// TEST:
//------------------------------------------------------------------------------
auto Peng::tell() const -> std::string {
  return ping.tell();
}

}  // namespace rw::pingpong

// v211121
