///////
// TEST:
//

#include "incls_all.hpp"

namespace rw::pingpong {

//------------------------------------------------------------------------------
Pang_b::Pang_b() : Pang_b{"pang_b_obj"} {}

//------------------------------------------------------------------------------
Pang_b::Pang_b(std::string const& name_tag)
    : RW{name_tag}, tip_tag{full_tag()} {}

//------------------------------------------------------------------------------
auto Pang_b::t_tag() const -> Tip const& {
  return tip_tag;
}

//------------------------------------------------------------------------------
Pang::Pang() : Pang{"pang_obj"} {}

//------------------------------------------------------------------------------
Pang::Pang(std::string const& name_tag) : Pang_b{name_tag} {}

// TEST:
//------------------------------------------------------------------------------
void Pang::ask(const std::string& query) const {
  peng.ask(query);
}

// TEST:
//------------------------------------------------------------------------------
auto Pang::tell() const -> std::string {
  return peng.tell();
}

}  // namespace rw::pingpong

// v211121
