///////
// TEST:
//

#include "incls_all.hpp"

namespace rw::pingpong {

//------------------------------------------------------------------------------
Ping_b::Ping_b() : Ping_b{"ping_b_obj"} {}

//------------------------------------------------------------------------------
Ping_b::Ping_b(std::string const& name_tag)
    : RW{name_tag}, tip_tag{full_tag()} {}

//------------------------------------------------------------------------------
auto Ping_b::t_tag() const -> Tip const& {
  return tip_tag;
}

//------------------------------------------------------------------------------
Ping::Ping() : Ping{"ping_obj"} {}

//------------------------------------------------------------------------------
Ping::Ping(std::string const& name_tag) : Ping_b{name_tag} {}

// TEST:
//------------------------------------------------------------------------------
auto Ping::do_ping() const -> int {
  return 9'001;
}

// TEST:
//------------------------------------------------------------------------------
auto Ping::do_pong() const -> int {
  return pong.do_ping();
}

// TEST:
//------------------------------------------------------------------------------
void Ping::ask(const std::string& query) const {
  pong.ask(query);
}

// TEST:
//------------------------------------------------------------------------------
auto Ping::tell() const -> std::string {
  return pong.tell();
}

}  // namespace rw::pingpong

// v211121
