#include "incls_all.hpp"

namespace rw {

//------------------------------------------------------------------------------
RW::RW() {}

//------------------------------------------------------------------------------
RW::RW(std::string const& name_tag) : tip_{name_tag, rw_id++, this} {}

//------------------------------------------------------------------------------
RW::~RW() {
  prt_tag(tip_, "via RW::~RW() dtor \t");  // TEST:
}

//------------------------------------------------------------------------------
auto RW::my_tag() const -> std::string {
  return tip_.tag;
}

//------------------------------------------------------------------------------
auto RW::my_id() const -> unsigned int {
  return tip_.id;
}

//------------------------------------------------------------------------------
auto RW::my_addr() const -> RW* {
  return tip_.ptr;
}

//------------------------------------------------------------------------------
auto RW::full_tag() const -> Tip const& {
  return tip_;
}

//------------------------------------------------------------------------------
unsigned long int RW::rw_id{0};  // private static member

}  // namespace rw

// v211121
